Package ru.bitel.bgbilling.kernel.task.server.bean

# Class SchedulerManager

java.lang.Object
ru.bitel.bgbilling.kernel.task.server.bean.SchedulerManager

public class SchedulerManager extends Object
Менеджер по работе с БД планировщика заданий.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SchedulerManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTask(LightweightTaskData task)`
  Как следует из названия метод добавляет новую задачу планировщика в БД
  `void`
  `deleteCurrentRunTask(int taskId)`
  Удаление выполняемой задачи из очереди асинхронных задач.
  `void`
  `deleteTask(int taskId)`
  Метод удаляет данную задачу из БД.
  `void`
  `deleteTaskLog()`
  `List<PeriodicTask>`
  `getPeriodicTaskList()`
  Получение списка периодических задач, выполняемых в данный момент
  `List<RunningTask>`
  `getRunningTaskList()`
  Метод получения списка выполняемых асинхронных заданий планирощика.
  `List<LightweightTaskData>`
  `getTaskList(String moduleId)`
  Метод возвращает список задач планировщика из БД.
  `void`
  `getTaskLog(int taskId, SearchResult<SchedulerTaskLog> searchResult)`
  Получение статистики по выполненным задачам планировщика с фильтрацией по задаче и периоду.
  `void`
  `updateTask(LightweightTaskData task)`
  Метод обновляет данные задачи планировщика в БД.
  `void`
  `updateTaskLog(SchedulerTaskLog taskLog)`
  Добавление информации о запуске/окончании работы задачи.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SchedulerManager

    public SchedulerManager(Connection con)

- ## Method Details

  - ### getTaskList

    public List<LightweightTaskData> getTaskList(String moduleId) throws Exception
    Метод возвращает список задач планировщика из БД.
    Parameters:
      `moduleId` - код модуля. Если 0 - ядро, число - экземпляр модуля, "p+число" - плагин
    Returns:
      отфильтрованный список задач
    Throws:
      `Exception`

  - ### addTask

    public void addTask(LightweightTaskData task) throws ru.bitel.bgbilling.common.BGException
    Как следует из названия метод добавляет новую задачу планировщика в БД
    Parameters:
      `task` - добавляемая залача
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateTask

    public void updateTask(LightweightTaskData task) throws ru.bitel.bgbilling.common.BGException
    Метод обновляет данные задачи планировщика в БД.
    Parameters:
      `task` - обновляемая задача
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteTask

    public void deleteTask(int taskId) throws ru.bitel.bgbilling.common.BGException
    Метод удаляет данную задачу из БД.
    Parameters:
      `taskId` - удаляемая задача.
    Throws:
      `ru.bitel.bgbilling.common.BGException` - возникает, в случае ошибок,выдаваемых СУБД

  - ### getRunningTaskList

    public List<RunningTask> getRunningTaskList() throws ru.bitel.bgbilling.common.BGException
    Метод получения списка выполняемых асинхронных заданий планирощика.
    Returns:
      список заданий
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPeriodicTaskList

    public List<PeriodicTask> getPeriodicTaskList() throws ru.bitel.bgbilling.common.BGException
    Получение списка периодических задач, выполняемых в данный момент
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteCurrentRunTask

    public void deleteCurrentRunTask(int taskId) throws ru.bitel.bgbilling.common.BGException
    Удаление выполняемой задачи из очереди асинхронных задач. Используется в клиентском коде.
    Parameters:
      `taskId` - код выполняемой задачи
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTaskLog

    public void getTaskLog(int taskId, SearchResult<SchedulerTaskLog> searchResult) throws ru.bitel.bgbilling.common.BGException
    Получение статистики по выполненным задачам планировщика с фильтрацией по задаче и периоду.
    Parameters:
      `taskId` - код задачи
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateTaskLog

    public void updateTaskLog(SchedulerTaskLog taskLog) throws ru.bitel.bgbilling.common.BGException
    Добавление информации о запуске/окончании работы задачи.
    Parameters:
      `taskLog` - бин с информацией по задаче.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteTaskLog

    public void deleteTaskLog() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`